> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GetMetricsResponse

> Read GetMetricsResponse to parse evaluator metric list results from the HoneyHive Metrics TypeScript client with typed fields and autocomplete.

> **GetMetricsResponse** = `object`

## Description

Response for GET /metrics

## Properties

### metrics

> **metrics**: `object`\[]

#### categories?

> `optional` **categories?**: `object`\[] | `null`

#### child\_metrics?

> `optional` **child\_metrics?**: `object`\[] | `null`

#### created\_at

> **created\_at**: `string`

Format: date-time

#### criteria

> **criteria**: `string`

#### description

> **description**: `string` | `null`

#### enabled\_in\_prod

> **enabled\_in\_prod**: `boolean`

#### filters

> **filters**: `object`

##### filters.filterArray

> **filterArray**: `object`\[]

#### id

> **id**: `string`

#### model\_name?

> `optional` **model\_name?**: `string` | `null`

#### model\_provider?

> `optional` **model\_provider?**: `string` | `null`

#### name

> **name**: `string`

#### needs\_ground\_truth

> **needs\_ground\_truth**: `boolean`

#### return\_type

> **return\_type**: `"float"` | `"boolean"` | `"string"` | `"categorical"`

#### sampling\_percentage

> **sampling\_percentage**: `number`

#### scale?

> `optional` **scale?**: `number` | `null`

#### threshold?

> `optional` **threshold?**: \{ `max?`: `number`; `min?`: `number`; `pass_when?`: `boolean` | `number`; `passing_categories?`: `string`\[]; } | `null`

#### type

> **type**: `"PYTHON"` | `"LLM"` | `"HUMAN"` | `"COMPOSITE"`

#### updated\_at

> **updated\_at**: `string` | `null`

Format: date-time
